This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 473779

Summary: RFE: Add ve to the list of packaged tools
Product: [Fedora] Fedora Reporter: Linuxguy123 <linuxguy123>
Component: eclipseAssignee: Andrew Overholt <overholt>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 10CC: akurtako, oliver, overholt
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-02-13 14:46:45 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Linuxguy123 2008-11-30 09:50:12 EST
Description of problem:

VE is a visual editor for Java.   It allows one to build swing or SWT applications visually.  I've used it for several projects, it works great.

I love the packaging of Eclipse in RPMs.  Its much, much better than fooling around with the zip files Eclipse is usually packaged in.

Version-Release number of selected component (if applicable):

eclipse-platform.i386                                  1:3.4.1-5.fc10 

VE hasn't been officially build for Eclipse 3.4, but the directions for installing it are here: http://wiki.eclipse.org/VE/Installing and the zip file is here http://www.ehecht.com/eclipse_ve/ve.html

Additional info:

I've found Java applications to be a great way to allow multi platform functionality.  They will run on Windows, Linux and Mac computers.  VE makes building simple visual Java apps quite easy.
Comment 1 Andrew Overholt 2008-12-02 08:46:12 EST
Please put package requests like this here where they will get more exposure:

http://fedoraproject.org/wiki/PackageMaintainers/WishList
Comment 2 Andrew Overholt 2009-02-13 14:46:45 EST
I've put this here:

https://fedoraproject.org/wiki/Eclipse#Plug-ins_We.27d_Like_To_Ship

but, as I said in comment #1, it's best to also add it to the main wishlist.